pinv = player.getInventory()

if(pinv.getItemInSlot(16) != null)
{
if(pinv.getItemInSlot(16).getItemID() != 466)
{
for(i=0;i<16;i++)
{
if(pinv.getItemInSlot(i) == null)
{
var pitem = pinv.getItemInSlot(16).copy();
pinv.emptySlot(16);
pinv.setSlot(i, item);
}
}
}
}
if (pinv.getSlotContainingItem(466) != -1)
{
if (pinv.getSlotContainingItem(466) != 16)
{
try
{
var count = pinv.getItemInSlot(16).getQuantity();
}
catch(e) { var count = 0; }
var item = pinv.getItemInSlot(pinv.getSlotContainingItem(466)).copy();
pinv.emptySlot(pinv.getSlotContainingItem(466));
if (count < 30)
{
if (item.getQuantity() + count <= 30)
{
item.setQuantity(item.getQuantity() + count);
}
else
{
item.setQuantity(30);
}
}
else
{
item.setQuantity(30);
}
pinv.setSlot(16, item);
}
}
